MOSQUITTO_PASSWD(1)

NAME
mosquitto_passwd - manage password files for mosquitto

SYNOPSIS

mosquitto_passwd [-c | -D] passwordfile username

mosquitto_passwd -U passwordfile

DESCRIPTION

mosquitto_passwd is a tool for managing password files the the mosquitto MQTT broker.

Usernames must not contain ":". Passwords are stored in a similar format to crypt(3).

OPTIONS

-c
    Create a new password file. If the file already exists, it will be overwritten.

-D
    Delete the specified user from the password file.

-U
    This option can be used to upgrade/convert a password file with plain text passwords into one using hashed passwords. It will modify the specified file. It does not detect whether passwords are already hashed, so using it on a password file that already contains hashed passwords will generate new hashes based on the old hashes and render the password file unusable.

passwordfile
    The password file to modify.

username
    The username to add/update/delete.

EXAMPLES

Add a user to a new password file:

    • mosquitto_passwd -c /etc/mosquitto/passwd ral

Delete a user from a password file

    • mosquitto_passwd -D /etc/mosquitto/passwd ral

BUGS

mosquitto_passwd bug information can be found at http://launchpad.net/mosquitto

SEE ALSO
mosquitto(8), mosquitto.conf(5), mqtt(7)

ACKNOWLEDGEMENTS

This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit. (http://www.openssl.org/)

This product includes cryptographic software written by Eric Young (eay@cryptsoft.com)

This product includes software written by Tim Hudson (tjh@cryptsoft.com)

AUTHOR

Roger Light <roger@atchoo.org>